Bug 829726 - Review Request: wmmon - Nice system monitor for WindowMaker
Review Request: wmmon - Nice system monitor for WindowMaker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 08:28 EDT by Alexey I. Froloff
Modified: 2012-08-14 17:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-14 17:04:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
andreas.bierfert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexey I. Froloff 2012-06-07 08:28:05 EDT
Spec URL: http://raorn.fedorapeople.org/packages/wmmon/wmmon.spec
SRPM URL: http://raorn.fedorapeople.org/packages/wmmon/wmmon-1.0-1.b2.g575778a6.fc17.src.rpm
Description:

Simple CPU/Mem/IO usage monitor for WindowMaker.

Fedora Account System Username: raorn
Comment 1 Andreas Bierfert 2012-06-10 04:39:43 EDT
Some minor tweaks:

Please change the release to

0.1.beta2.yyyymmddgit575778a6

and substitute the date you took the snapshot on for yyyymmdd (see http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Non-Numeric_Version_in_Release) so that beta3 will be > beta2 and final 1.0 release will be greater then all the old versions...

The rest looks good.
Comment 2 Alexey I. Froloff 2012-06-28 05:02:15 EDT
http://raorn.fedorapeople.org/packages/wmmon/wmmon-1.0-0.1.b2.20120606git575778a6.fc17.src.rpm

diff --git a/wmmon.spec b/wmmon.spec
index 9726a51..3c66198 100644
--- a/wmmon.spec
+++ b/wmmon.spec
@@ -1,9 +1,10 @@
+%define snapdate 20120606
 %define treeish    575778a6
 %define beta   b2
 
 Name:      wmmon
 Version:   1.0
-Release:   1%{?beta:.%{beta}}.g%{treeish}%{?dist}
+Release:   %{?beta:0.}1%{?beta:.%{beta}}.%{snapdate}git%{treeish}%{?dist}
 Summary:   Nice system monitor for WindowMaker
 
 Group:     User Interface/X
@@ -59,5 +60,5 @@ install -p -m644 dockapps/wmmon/wmmon.1 %{buildroot}%{_mandir}/man1/wmmon.1
 %{_mandir}/man1/wmmon.1*
 
 %changelog
-* Wed Jun 06 2012 Alexey I. Froloff <raorn@raorn.name> - 1.0-1.b2.g575778a6
+* Thu Jun 28 2012 Alexey I. Froloff <raorn@raorn.name> - 1.0-0.1.b2.20120606git575778a6
 - Initial build for Fedora


This looks terrible, however...
Comment 3 Andreas Bierfert 2012-06-28 10:02:19 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 * MUST rpmlint: ok, false positives on spelling.
 * package naming: ok
 * package guideline complience: ok
 * license: ok
 * license field: ok
 * spec language and legible: ok
 * source: ok, pulled from git. Documented in spec.
 * builds on f17 and rawhide koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=4204988
 * BR: ok
 * file permissions: ok
 * desktop file: not needed as this is a specialized dockapp
 * package runs on f17: ok
 * man page included: ok

package

2f9533456e0c5ecba55a499cc9e78bd90330ac1e70d9f72f55468fb96994126e  wmmon-1.0-0.1.b2.20120606git575778a6.fc17.src.rpm

approved
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/sY5UACgkQQEQyPsWM8cuhFACcC8YtkvFFV8Xx96ggHd+x9+1u
XHkAoJPn73OaFkGOpxFrXcSYk8/1Ouoo
=7dew
-----END PGP SIGNATURE-----

Please add me as CC on the SCM request.
Comment 4 Alexey I. Froloff 2012-06-28 10:15:51 EDT
New Package SCM Request
=======================
Package Name: wmmon
Short Description: Nice system monitor for WindowMaker
Owners: raorn
Branches: f17
InitialCC: awjb
Comment 5 Gwyn Ciesla 2012-06-28 10:34:25 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.